MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes
sc::StateOutFile Class Reference

Writes state information to files. More...

`#include <state_file.h>`

Inheritance diagram for sc::StateOutFile:

List of all members.

## Public Member Functions

| StateOutFile ()
| State information will be written to ExEnv::outn().
| StateOutFile (std::ostream &s)
| State information will be written to s.
| StateOutFile (const char *name)
| State information will be written to name.
virtual int | open (const char *name)
| State information will be written to name.
virtual void | flush ()
| Flush the output stream.
virtual void | close ()
| Close the output stream.

## Protected Attributes

int | opened_
std::streambuf * | buf_

## Detailed Description

Writes state information to files.

The documentation for this class was generated from the following file:

- state_file.h